> ## Documentation Index
> Fetch the complete documentation index at: https://docs.relayai.dev/llms.txt
> Use this file to discover all available pages before exploring further.

# List Inference Jobs

> List inference jobs for the tenant.



## OpenAPI

````yaml get /api/v1/inference-jobs
openapi: 3.1.0
info:
  title: Relay API
  description: Voice AI Artifact Detection Platform
  version: 0.1.0
servers: []
security: []
paths:
  /api/v1/inference-jobs:
    get:
      tags:
        - inference
      summary: List Inference Jobs
      description: List inference jobs for the tenant.
      operationId: list_inference_jobs_api_v1_inference_jobs_get
      parameters:
        - name: model_id
          in: query
          required: false
          schema:
            anyOf:
              - type: string
                format: uuid
              - type: 'null'
            title: Model Id
        - name: status
          in: query
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            title: Status
        - name: page
          in: query
          required: false
          schema:
            type: integer
            minimum: 1
            default: 1
            title: Page
        - name: page_size
          in: query
          required: false
          schema:
            type: integer
            maximum: 100
            minimum: 1
            default: 20
            title: Page Size
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/InferenceJobListResponse'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
      security:
        - APIKeyHeader: []
components:
  schemas:
    InferenceJobListResponse:
      properties:
        items:
          items:
            $ref: '#/components/schemas/InferenceJobResponse'
          type: array
          title: Items
        total:
          type: integer
          title: Total
        has_more:
          type: boolean
          title: Has More
      type: object
      required:
        - items
        - total
        - has_more
      title: InferenceJobListResponse
      description: List of inference jobs.
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    InferenceJobResponse:
      properties:
        id:
          type: string
          format: uuid
          title: Id
        tenant_id:
          type: string
          format: uuid
          title: Tenant Id
        model_id:
          type: string
          format: uuid
          title: Model Id
        config:
          additionalProperties: true
          type: object
          title: Config
        status:
          type: string
          title: Status
        total_files:
          type: integer
          title: Total Files
        processed_files:
          type: integer
          title: Processed Files
        failed_files:
          type: integer
          title: Failed Files
        total_detections:
          type: integer
          title: Total Detections
        error_message:
          anyOf:
            - type: string
            - type: 'null'
          title: Error Message
        created_at:
          type: string
          format: date-time
          title: Created At
        started_at:
          anyOf:
            - type: string
              format: date-time
            - type: 'null'
          title: Started At
        completed_at:
          anyOf:
            - type: string
              format: date-time
            - type: 'null'
          title: Completed At
      type: object
      required:
        - id
        - tenant_id
        - model_id
        - config
        - status
        - total_files
        - processed_files
        - failed_files
        - total_detections
        - error_message
        - created_at
        - started_at
        - completed_at
      title: InferenceJobResponse
      description: Inference job response.
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
  securitySchemes:
    APIKeyHeader:
      type: apiKey
      in: header
      name: X-API-Key

````